> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tire Pressure

> Returns the tire pressure of a vehicle, measured in bar.

Requires firmware 2022.4.5+.



## OpenAPI

````yaml get /{vin}/tire_pressure
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/tire_pressure:
    parameters:
      - $ref: '#/components/parameters/vin'
      - schema:
          type: string
          enum:
            - bar
            - kpa
            - psi
          example: psi
          default: bar
        in: query
        name: pressure_format
        description: The pressure unit.
      - $ref: '#/components/parameters/from'
      - $ref: '#/components/parameters/to'
    get:
      tags:
        - Vehicle Data
      summary: Get Tire Pressure
      description: |-
        Returns the tire pressure of a vehicle, measured in bar.

        Requires firmware 2022.4.5+.
      operationId: get-tire-pressure
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  front_left:
                    type: number
                  front_right:
                    type: number
                  rear_left:
                    type: number
                  rear_right:
                    type: number
                  front_left_status:
                    type: string
                    enum:
                      - unknown
                      - low
                      - normal
                  front_right_status:
                    type: string
                    enum:
                      - unknown
                      - low
                      - normal
                  rear_left_status:
                    type: string
                    enum:
                      - unknown
                      - low
                      - normal
                  rear_right_status:
                    type: string
                    enum:
                      - unknown
                      - low
                      - normal
                  timestamp:
                    type: integer
              examples:
                Example 1:
                  value:
                    front_left: 2.275
                    front_right: 2.325
                    rear_left: 2.4
                    rear_right: 2.425
                    front_left_status: low
                    front_right_status: low
                    rear_left_status: low
                    rear_right_status: low
                    timestamp: 1645131216
          description: Success
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
    from:
      name: from
      description: The start of the timeframe. Unix timestamp in seconds.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 1643747642
      x-last-modified: 1643747658888
    to:
      name: to
      description: The end of the timeframe. Unix timestamp in seconds.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 1643747642
      x-last-modified: 1643747664858
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````